Update User Profile
curl --request PUT \
--url https://confirmation.freelancetravel.com/api/user/detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "15-Jan-1990",
"title": "Mr",
"phone_number": "+61412345678",
"post_code": "2000",
"country_code": "AU"
}
'import requests
url = "https://confirmation.freelancetravel.com/api/user/detail"
payload = {
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "15-Jan-1990",
"title": "Mr",
"phone_number": "+61412345678",
"post_code": "2000",
"country_code": "AU"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'John',
last_name: 'Doe',
date_of_birth: '15-Jan-1990',
title: 'Mr',
phone_number: '+61412345678',
post_code: '2000',
country_code: 'AU'
})
};
fetch('https://confirmation.freelancetravel.com/api/user/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://confirmation.freelancetravel.com/api/user/detail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '15-Jan-1990',
'title' => 'Mr',
'phone_number' => '+61412345678',
'post_code' => '2000',
'country_code' => 'AU'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://confirmation.freelancetravel.com/api/user/detail"
payload := strings.NewReader("{\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"date_of_birth\": \"15-Jan-1990\",\n \"title\": \"Mr\",\n \"phone_number\": \"+61412345678\",\n \"post_code\": \"2000\",\n \"country_code\": \"AU\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://confirmation.freelancetravel.com/api/user/detail")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"date_of_birth\": \"15-Jan-1990\",\n \"title\": \"Mr\",\n \"phone_number\": \"+61412345678\",\n \"post_code\": \"2000\",\n \"country_code\": \"AU\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://confirmation.freelancetravel.com/api/user/detail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"date_of_birth\": \"15-Jan-1990\",\n \"title\": \"Mr\",\n \"phone_number\": \"+61412345678\",\n \"post_code\": \"2000\",\n \"country_code\": \"AU\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Profile updated"
}Authentication
Update User Profile
Update the authenticated user’s profile information.
PUT
/
api
/
user
/
detail
Update User Profile
curl --request PUT \
--url https://confirmation.freelancetravel.com/api/user/detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "15-Jan-1990",
"title": "Mr",
"phone_number": "+61412345678",
"post_code": "2000",
"country_code": "AU"
}
'import requests
url = "https://confirmation.freelancetravel.com/api/user/detail"
payload = {
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "15-Jan-1990",
"title": "Mr",
"phone_number": "+61412345678",
"post_code": "2000",
"country_code": "AU"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'John',
last_name: 'Doe',
date_of_birth: '15-Jan-1990',
title: 'Mr',
phone_number: '+61412345678',
post_code: '2000',
country_code: 'AU'
})
};
fetch('https://confirmation.freelancetravel.com/api/user/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://confirmation.freelancetravel.com/api/user/detail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '15-Jan-1990',
'title' => 'Mr',
'phone_number' => '+61412345678',
'post_code' => '2000',
'country_code' => 'AU'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://confirmation.freelancetravel.com/api/user/detail"
payload := strings.NewReader("{\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"date_of_birth\": \"15-Jan-1990\",\n \"title\": \"Mr\",\n \"phone_number\": \"+61412345678\",\n \"post_code\": \"2000\",\n \"country_code\": \"AU\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://confirmation.freelancetravel.com/api/user/detail")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"date_of_birth\": \"15-Jan-1990\",\n \"title\": \"Mr\",\n \"phone_number\": \"+61412345678\",\n \"post_code\": \"2000\",\n \"country_code\": \"AU\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://confirmation.freelancetravel.com/api/user/detail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"date_of_birth\": \"15-Jan-1990\",\n \"title\": \"Mr\",\n \"phone_number\": \"+61412345678\",\n \"post_code\": \"2000\",\n \"country_code\": \"AU\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Profile updated"
}Authorizations
You can retrieve your token by visiting your dashboard and clicking Generate API token.
Body
application/json
The user's first name.
Example:
"John"
The user's last name.
Example:
"Doe"
Date of birth (d-M-Y format).
Example:
"15-Jan-1990"
The user's title (Mr, Mrs, etc).
Example:
"Mr"
The user's phone number.
Example:
"+61412345678"
The user's postal code.
Example:
"2000"
The user's country code.
Example:
"AU"